org.eclipse.wst.jsdt.ui

## Class JavaScriptElementImageDescriptor

- java.lang.Object
- - CompositeImageDescriptor
  - - org.eclipse.wst.jsdt.ui.JavaScriptElementImageDescriptor

    public class JavaScriptElementImageDescriptor
    extends CompositeImageDescriptor

A `JavaScriptElementImageDescriptor` consists of a base image and several adornments. The adornments are computed according to the flags either passed during creation or set via the method `setAdornments(int)`.

This class may be instantiated; it is not intended to be subclassed.

* Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `ABSTRACT` Flag to render the abstract adornment.
`static int` `CONSTRUCTOR` Flag to render the 'constructor' adornment.
`static int` `DEPRECATED` Flag to render the 'deprecated' adornment.
`static int` `ERROR` Flag to render the error adornment.
`static int` `FINAL` Flag to render the final adornment.
`static int` `IMPLEMENTS` Flag to render the 'implements' adornment.
`static int` `OVERRIDES` Flag to render the 'override' adornment.
`static int` `RUNNABLE` Flag to render the runnable adornment.
`static int` `STATIC` Flag to render the static adornment.
`static int` `SYNCHRONIZED` Flag to render the synchronized adornment.
`static int` `TRANSIENT` Flag to render the 'transient' adornment.
`static int` `VOLATILE` Flag to render the 'volatile' adornment.
`static int` `WARNING` Flag to render the warning adornment.

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptElementImageDescriptor(ImageDescriptor baseImage, int flags, Point size)` Creates a new JavaScriptElementImageDescriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `drawCompositeImage(int width, int height)`
`boolean` `equals(java.lang.Object object)`
`int` `getAdronments()` Returns the current adornments.
`Point` `getImageSize()` Returns the size of the image created by calling `#createImage()`.
`protected Point` `getSize()`
`int` `hashCode()`
`void` `setAdornments(int adornments)` Sets the descriptors adornments.
`void` `setImageSize(Point size)` Sets the size of the image created by calling `#createImage()`.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ABSTRACT

    public static final int ABSTRACT

Flag to render the abstract adornment.

See Also:
  Constant Field Values

#### FINAL

    public static final int FINAL

Flag to render the final adornment.

See Also:
  Constant Field Values

#### SYNCHRONIZED

    public static final int SYNCHRONIZED

Flag to render the synchronized adornment.

See Also:
  Constant Field Values

#### STATIC

    public static final int STATIC

Flag to render the static adornment.

See Also:
  Constant Field Values

#### RUNNABLE

    public static final int RUNNABLE

Flag to render the runnable adornment.

See Also:
  Constant Field Values

#### WARNING

    public static final int WARNING

Flag to render the warning adornment.

See Also:
  Constant Field Values

#### ERROR

    public static final int ERROR

Flag to render the error adornment.

See Also:
  Constant Field Values

#### OVERRIDES

    public static final int OVERRIDES

Flag to render the 'override' adornment.

See Also:
  Constant Field Values

#### IMPLEMENTS

    public static final int IMPLEMENTS

Flag to render the 'implements' adornment.

See Also:
  Constant Field Values

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Flag to render the 'constructor' adornment.

See Also:
  Constant Field Values

#### DEPRECATED

    public static final int DEPRECATED

Flag to render the 'deprecated' adornment.

See Also:
  Constant Field Values

#### VOLATILE

    public static final int VOLATILE

Flag to render the 'volatile' adornment.

See Also:
  Constant Field Values

#### TRANSIENT

    public static final int TRANSIENT

Flag to render the 'transient' adornment.

See Also:
  Constant Field Values

### Constructor Detail

#### JavaScriptElementImageDescriptor

    public JavaScriptElementImageDescriptor(ImageDescriptor baseImage,
                                            int flags,
                                            Point size)

Creates a new JavaScriptElementImageDescriptor.

Parameters:
  `baseImage` - an image descriptor used as the base image
  `flags` - flags indicating which adornments are to be rendered. See `setAdornments(int)` for valid values.
  `size` - the size of the resulting image

### Method Detail

#### setAdornments

    public void setAdornments(int adornments)

Sets the descriptors adornments. Valid values are: `ABSTRACT`, `FINAL`, `SYNCHRONIZED`, `STATIC`, `RUNNABLE`, `WARNING`, `ERROR`, `OVERRIDES`, `IMPLEMENTS`, `CONSTRUCTOR`, `DEPRECATED`, `VOLATILE`, `TRANSIENT` or any combination of those.

Parameters:
  `adornments` - the image descriptors adornments

#### getAdronments

    public int getAdronments()

Returns the current adornments.

Returns:
  the current adornments

#### setImageSize

    public void setImageSize(Point size)

Sets the size of the image created by calling `#createImage()`.

Parameters:
  `size` - the size of the image returned from calling `#createImage()`

#### getImageSize

    public Point getImageSize()

Returns the size of the image created by calling `#createImage()`.

Returns:
  the size of the image created by calling `#createImage()`

#### getSize

    protected Point getSize()

#### equals

    public boolean equals(java.lang.Object object)

#### hashCode

    public int hashCode()

#### drawCompositeImage

    protected void drawCompositeImage(int width,
                                      int height)